Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
[Java] Class JavaAwareCompilationUnit

    java.lang.Object
      org.codehaus.groovy.control.ProcessingUnit
          org.codehaus.groovy.control.CompilationUnit
              org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit

    public class JavaAwareCompilationUnit
    extends CompilationUnit

Created by IntelliJ IDEA. User: Alex.Tkachman Date: May 31, 2007 Time: 6:48:28 PM

Field Summary

Fields inherited from class CompilationUnit
ast, astTransformationsContext, classNodeResolver, classSourcesByPublicClassName, classgenCallback, configured, debug, generatedClasses, names, optimizer, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier

Fields inherited from class ProcessingUnit
classLoader, configuration, errorCollector, phase, phaseComplete

Constructor Summary
`JavaAwareCompilationUnit(CompilerConfiguration configuration)`
`JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`
`JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)`

Method Summary
`void` | `addSources(java.lang.String[] paths)`
`void` | `addSources(java.io.File[] files)`
`void` | `configure(CompilerConfiguration configuration)`
`JavaCompilerFactory` | `getCompilerFactory()`
`void` | `gotoPhase(int phase)`
`void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

Methods inherited from class CompilationUnit
addClassNode, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getASTTransformationsContext, getClassNode, getClassNodeResolver, getClassSourcesByPublicClassName, getClasses, getClassgenCallback, getFirstClassNode, getProgressCallback, getSummariesByPublicClassName, getSummariesBySourceName, getTransformLoader, isPublicClass, iterator, mark, setClassNodeResolver, setClassgenCallback, setProgressCallback

Methods inherited from class ProcessingUnit
completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, nextPhase, setClassLoader, setConfiguration

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration)

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

### JavaAwareCompilationUnit

    public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)

Method Detail

### addSources

    public void addSources(java.lang.String[] paths)

### addSources

    public void addSources(java.io.File[] files)

### configure

    public void configure(CompilerConfiguration configuration)

### getCompilerFactory

    public JavaCompilerFactory getCompilerFactory()

### gotoPhase

    public void gotoPhase(int phase)

### setCompilerFactory

    public void setCompilerFactory(JavaCompilerFactory compilerFactory)

Groovy Documentation